Tenant/Product

Get products for user

Fetches all existing products, with optional parameters for pagination

GET
/api/v2/products

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Maximum number of products to return (pagination limit)

Default30
offset?integer

Offset to start pagination

Default0
permission?string

Permission name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/products?limit=30&offset=0&permission=Creator"
{  "products": [    {      "id": "092a4feb-579c-40f9-aea6-3fc7c5438cf6",      "name": "b2binpay",      "iconName": "b2binpay-icon",      "platforms": [        "web"      ],      "languages": [        1      ],      "languageId": 1,      "storyCount": 33,      "availablePlatforms": [        "web"      ]    }  ],  "pagination": {    "maxCount": 20  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}